Upgrade LMDE1 to LMDE2 screensaver problem

Archived topics about LMDE 1
Locked
luandrea
Level 1
Level 1
Posts: 9
Joined: Fri Nov 28, 2014 4:25 am

Upgrade LMDE1 to LMDE2 screensaver problem

Post by luandrea » Tue Jun 16, 2015 4:12 am

Hi all,
I have upgraded from LMDE1 to LMDE2, but I didn't turned off the screensaver. When I upgraded the screensaver blocked me and I turned off the pc. I think that I didn't finisched the upgrade process correctly. :cry:

Now I get this error when I do sudo apt-get upgrade:

Code: Select all

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [S/n] s
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-debian-cinnamon:
 mint-meta-debian-cinnamon depends on cinnamon; however:
  Package cinnamon is not configured yet.

dpkg: error processing package mint-meta-debian-cinnamon (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cinnamon
 mint-meta-debian-cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
What can I do?

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by killer de bug » Tue Jun 16, 2015 7:03 am

Seriously, rebooting your system in the middle of the upgrade? :?

Try this:

Code: Select all

apt install cinnamon
or

Code: Select all

apt install -f
If it ain't broke, fix it until it is.

luandrea
Level 1
Level 1
Posts: 9
Joined: Fri Nov 28, 2014 4:25 am

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by luandrea » Tue Jun 16, 2015 7:41 am

Seriously, rebooting your system in the middle of the upgrade?
I know that it is a stupid thing, but the screen was blocked by the screensaver and I couldn't do anything.

Now the system is working well, but I want to fix this problem. I already tried the commands that you suggested, but it didn't worked.

This is the ouput:

Code: Select all

luca@work ~ $ sudo apt install cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cinnamon is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [S/n] s
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-debian-cinnamon:
 mint-meta-debian-cinnamon depends on cinnamon; however:
  Package cinnamon is not configured yet.

dpkg: error processing package mint-meta-debian-cinnamon (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cinnamon
 mint-meta-debian-cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
luca@work ~ $ sudo apt install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-debian-cinnamon:
 mint-meta-debian-cinnamon depends on cinnamon; however:
  Package cinnamon is not configured yet.

dpkg: error processing package mint-meta-debian-cinnamon (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cinnamon
 mint-meta-debian-cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by killer de bug » Tue Jun 16, 2015 10:08 am

Let's try to remove mint-meta-debian-cinnamon

Code: Select all

apt remove mint-meta-debian-cinnamon

Code: Select all

apt install cinnamon

Code: Select all

apt install mint-meta-debian-cinnamon
Check also that you are fully upgraded at the end.

Code: Select all

apt update && apt dist-upgrade
If it ain't broke, fix it until it is.

luandrea
Level 1
Level 1
Posts: 9
Joined: Fri Nov 28, 2014 4:25 am

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by luandrea » Tue Jun 16, 2015 10:48 am

I tried, but without succes:

Code: Select all

luca@work ~ $ sudo apt remove mint-meta-debian-cinnamon
[sudo] password for luca: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  mint-meta-debian-cinnamon
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 26,6 kB disk space will be freed.
Do you want to continue? [S/n] s
(Reading database ... 206242 files and directories currently installed.)
Removing mint-meta-debian-cinnamon (2015.06.02) ...
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
luca@work ~ $ sudo apt remove mint-meta-debian-cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'mint-meta-debian-cinnamon' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
luca@work ~ $ sudo apt install cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
cinnamon is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [S/n] s
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
luca@work ~ $ sudo apt remove cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  cinnamon
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 2.249 kB disk space will be freed.
Do you want to continue? [S/n] s
(Reading database ... 206239 files and directories currently installed.)
Removing cinnamon (2.6.7+betsy) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for libglib2.0-0:i386 (2.42.1-1) ...
Processing triggers for libglib2.0-0:amd64 (2.42.1-1) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for libc-bin (2.19-18) ...
After this I did autoclean, upgrade and dist-upgrade without any errors.

So I retry:

Code: Select all

luca@work ~ $ sudo apt install cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Recommended packages:
  cinnamon-bluetooth
The following NEW packages will be installed:
  cinnamon
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/472 kB of archives.
After this operation, 2.249 kB of additional disk space will be used.
Selecting previously unselected package cinnamon.
(Reading database ... 206080 files and directories currently installed.)
Preparing to unpack .../cinnamon_2.6.7+betsy_amd64.deb ...
Unpacking cinnamon (2.6.7+betsy) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for libglib2.0-0:i386 (2.42.1-1) ...
Processing triggers for libglib2.0-0:amd64 (2.42.1-1) ...
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
luca@work ~ $ sudo apt-get upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [S/n] s
Setting up cinnamon (2.6.7+betsy) ...
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1)
Maybe the cause is in another place?

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by killer de bug » Tue Jun 16, 2015 11:40 am

hum that's strange
Could you check if you have the complained file?

Code: Select all

usr/bin/cinnamon-preload-wrapper
After the removal of Cinnamon, does this work?

Code: Select all

apt remove mint-meta-debian-cinnamon
or

Code: Select all

apt autoremove 
edit: before reinstalling cinnamon, could you please do an:

Code: Select all

apt clean && apt update

Code: Select all

apt install cinnamon
If it ain't broke, fix it until it is.

luandrea
Level 1
Level 1
Posts: 9
Joined: Fri Nov 28, 2014 4:25 am

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by luandrea » Tue Jun 16, 2015 11:53 am

OK, here is the other outputs:
luca@work ~ $ apt policy cinnamon-screensaver
cinnamon-screensaver:
Installed: 2.6.3+betsy
Candidate: 2.6.3+betsy
Version table:
*** 2.6.3+betsy 0
700 http://packages.linuxmint.com/ betsy/main amd64 Packages
100 /var/lib/dpkg/status
2.2.4-6 0
500 http://http.debian.net/debian/ jessie/main amd64 Packages
These are the outputs for the three commands that you suggest:
luca@work ~ $ apt remove cinnamon
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
cinnamon
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 2.249 kB disk space will be freed.
Do you want to continue? [S/n] s
(Reading database ... 206239 files and directories currently installed.)
Removing cinnamon (2.6.7+betsy) ...
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for libglib2.0-0:i386 (2.42.1-1) ...
Processing triggers for libglib2.0-0:amd64 (2.42.1-1) ...
Processing triggers for gnome-menus (3.13.3-6) ...
Processing triggers for mime-support (3.58) ...
Processing triggers for desktop-file-utils (0.22-1) ...
Processing triggers for libc-bin (2.19-18) ...

luca@work ~ $ apt remove mint-meta-debian-cinnamon
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package 'mint-meta-debian-cinnamon' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
luca@work ~ $ apt autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

User avatar
killer de bug
Level 14
Level 14
Posts: 5415
Joined: Tue Jul 08, 2008 1:49 pm
Location: Leuven, Belgium

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by killer de bug » Tue Jun 16, 2015 11:58 am

ok this is good.

Now let's try to install either cinnamon or mint-meta-debian-cinnamon. Please clean the cache and perform an apt update before:

Code: Select all

apt clean && apt update && apt install mint-meta-debian-cinnamon
If it ain't broke, fix it until it is.

luandrea
Level 1
Level 1
Posts: 9
Joined: Fri Nov 28, 2014 4:25 am

Re: Upgrade LMDE1 to LMDE2 screensaver problem

Post by luandrea » Wed Jun 17, 2015 3:37 am

Ok, I did what you suggested, but the output was the same.

I remember now that, when the upgrade had this problem, I see an error about /usr/lib/cinnamon that was missing and I manually added.

Now I removed it again and the error is this:

Code: Select all

luca@work /usr/lib $ apt install mint-meta-debian-cinnamon
Reading package lists... Done
Building dependency tree       
Reading state information... Done
mint-meta-debian-cinnamon is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [S/n] s
Setting up cinnamon (2.6.7+betsy) ...
W: pycompile:246: No such file or directory: /usr/lib/cinnamon
bash: cinnamon-preload-wrapper: command not found
invoke-rc.d: initscript cinnamon, action "start" failed.
dpkg: error processing package cinnamon (--configure):
 subprocess installed post-installation script returned error exit status 127
dpkg: dependency problems prevent configuration of mint-meta-debian-cinnamon:
 mint-meta-debian-cinnamon depends on cinnamon; however:
  Package cinnamon is not configured yet.

dpkg: error processing package mint-meta-debian-cinnamon (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 cinnamon
 mint-meta-debian-cinnamon
E: Sub-process /usr/bin/dpkg returned an error code (1

Locked

Return to “LMDE 1 Archive”